> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 会話変数を更新

> 特定の会話変数の値を更新します。値は期待される型と一致する必要があります。



## OpenAPI

````yaml /ja/api-reference/openapi_chatflow.json put /conversations/{conversation_id}/variables/{variable_id}
openapi: 3.0.1
info:
  title: 高度なチャットアプリAPI (Chatflow API)
  description: >-
    Chatflow アプリケーションはセッションの永続化をサポートし、過去のチャット履歴をレスポンスのコンテキストとして使用できます。Chatflow
    アプリは `advanced-chat`
    モードを使用し、ノードの開始・完了、イテレーション、ワークフローのライフサイクルを含む詳細な実行追跡のためのワークフローレベルのストリーミングイベントを提供します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Chatflow アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットフロー
    description: チャットフローアプリケーションの操作です（チャットメッセージ、ワークフロー実行詳細、イベントストリーミングを含む）。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
paths:
  /conversations/{conversation_id}/variables/{variable_id}:
    put:
      tags:
        - 会話管理
      summary: 会話変数を更新
      description: 特定の会話変数の値を更新します。値は期待される型と一致する必要があります。
      operationId: updateChatflowConversationVariableJa
      parameters:
        - name: conversation_id
          in: path
          required: true
          description: 会話 ID。
          schema:
            type: string
            format: uuid
        - name: variable_id
          in: path
          required: true
          description: Variable ID.
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationVariableUpdateRequest'
            examples:
              updateStringVariable:
                summary: リクエスト例
                value:
                  value: new value
                  user: abc-123
      responses:
        '200':
          description: 変数が正常に更新されました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationVariableItem'
              examples:
                updatedVariable:
                  summary: レスポンス例
                  value:
                    id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                    name: user_preference
                    value_type: string
                    value: new value
                    description: ユーザー設定
                    created_at: 1705407629
                    updated_at: 1705411229
        '400':
          description: |-
            - `not_chat_app` : アプリモードが API ルートと一致しません。
            - `bad_request` : 変数値の型が一致しません。
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                type_mismatch:
                  summary: bad_request
                  value:
                    status: 400
                    code: bad_request
                    message: 'Value type mismatch: expected string, got integer.'
        '404':
          description: |-
            - `not_found` : 会話が存在しません。
            - `not_found` : 会話変数が存在しません。
          content:
            application/json:
              examples:
                conversation_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Conversation Not Exists.
                variable_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Conversation Variable Not Exists.
components:
  schemas:
    ConversationVariableUpdateRequest:
      type: object
      description: 会話変数を更新するためのリクエストボディです。
      required:
        - value
      properties:
        value:
          description: 変数の新しい値。変数の期待される型と一致する必要があります。
        user:
          type: string
          description: ユーザー識別子。
    ConversationVariableItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Variable ID.
        name:
          type: string
          description: 変数名です。
        value_type:
          type: string
          description: >-
            変数の値の型です。指定可能な値：`string`、`number`、`object`、`secret`、`file`、`boolean`、`array[any]`、`array[string]`、`array[number]`、`array[object]`、`array[file]`、`array[boolean]`。
        value:
          type: string
          description: 変数値（複雑な型の場合は JSON 文字列）。
        description:
          type: string
          description: 変数の説明です。
        created_at:
          type: integer
          format: int64
          description: 作成タイムスタンプ。
        updated_at:
          type: integer
          format: int64
          description: 最終更新タイムスタンプ。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````